<?php
/**
 * Plugin Name: myglobalHOST Force HTTPS
 * Plugin URI:  https://https://www.myglobalhost.in/
 * Description: Forces your WordPress site to use HTTPS for enhanced security.
 * Version:     1.0.0
 * Author:      myglobalHOST
 * Author URI:  https://https://www.myglobalhost.net/
 * License:     GPL2
 */

// Force HTTPS on all requests
function force_https() {
    if ( ! is_ssl() ) {
        wp_redirect( 'https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'], 301 );
        exit();
    }
}
add_action( 'init', 'force_https' );

// Update database options to use HTTPS
function update_site_url_to_https() {
    if ( substr( get_option( 'siteurl' ), 0, 5 ) !== 'https' ) {
        update_option( 'siteurl', str_replace( 'http://', 'https://', get_option( 'siteurl' ) ) );
    }

    if ( substr( get_option( 'home' ), 0, 5 ) !== 'https' ) {
        update_option( 'home', str_replace( 'http://', 'https://', get_option( 'home' ) ) );
    }
}
add_action( 'admin_init', 'update_site_url_to_https' );

// Add HSTS header for additional security (if your server supports it)
function add_hsts_header() {
    header( 'Strict-Transport-Security: max-age=31536000; includeSubDomains; preload' );
}
add_action( 'send_headers', 'add_hsts_header' );
